//
//  UIResponder+router.m
//  AFNetworking
//
//  Created by Q14 on 2020/8/10.
//

#import "UIResponder+router.h"
#import <objc/runtime.h>

@implementation UIResponder (router)
- (GMRouterCompleteBlock)routerCompleteBlock {
    return objc_getAssociatedObject(self, @selector(routerCompleteBlock));
}

- (void)setRouterCompleteBlock:(GMRouterCompleteBlock)routerCompleteBlock {
    objc_setAssociatedObject(self, @selector(routerCompleteBlock), routerCompleteBlock, OBJC_ASSOCIATION_COPY_NONATOMIC);
}
@end
